Subject: bug#22789: 25.1.50; In last master build https connections stop working

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Mar 2016 11:37:26 +0000

Eli Zaretskii <[email-masked]> writes:

> Interestingly, if I run the same under GDB, the images load with about
> 50% reliability.  So I guess there are still some subtle timing issues
> somewhere.  Can you try this under GDB and see if there's some
> difference?

To avoid the image cache getting in the way (which may be confusing when
testing this stuff), can you try

(progn
  (setq shr-ignore-cache t)
  (blink-cursor-mode -1)
  (eww "https://www.fsf.org"))

And you need Alain's fix for the shr image insertion stuff (which I
checked in yesterday) if your Emacs doesn't have SVG support.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no